#######################################################################
#
#   TestPlugin
# #
#######################################################################

from Components.config import config, ConfigSubsection, ConfigYesNo
from enigma import getDesktop
from Plugins.Plugin import PluginDescriptor
from Screens.MessageBox import MessageBox

###from __init__ import _

import os
import TestPlugin

pname = _("Testplugin")
pdesc = _("Testplugin Description")

	

def main(session, **kwargs):
#	print '=== main start'
	display_width = getDesktop(0).size().width()
	if display_width < 1280: # minimum 1280x720 skin
		session.open(MessageBox, _("This plugin needs a HD or FHD skin"), type = MessageBox.TYPE_ERROR,timeout = 10 )
		return
	MOUNTPOINT = "/media"

	try:
		mountpoints = os.listdir(MOUNTPOINT)
		msgtext = _("Cannot open mountpoint %s") %(MOUNTPOINT)
	except:
		session.open(MessageBox, msgtext, type = MessageBox.TYPE_ERROR,timeout = 15)
		return

	reload(TestPlugin)
	try:
		session.openWithCallback(closePlayer, TestPlugin.TestPluginScreen)
	except:
		print '=== ------ EXCEPT'

		import traceback
		traceback.print_exc()
		
def closePlayer(session, service=None):
	try:
		if service:
			session.nav.playService(service)
	except:
		print '=== closePlayer: EXCEPT'

def menu(menuid, **kwargs):
	if menuid == "mainmenu":
		return [(pname, main, "testplugin", 47)]
	return []

	
def Plugins(**kwargs):
	list = [PluginDescriptor(name=pname, description=pdesc, where = [PluginDescriptor.WHERE_PLUGINMENU], icon = "test.png", needsRestart = True, fnc=main)]
	return list
